#ifndef RDMA_CLIENT_H
#define RDMA_CLIENT_H

#include <endian.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <stdbool.h>
#include <time.h>
#include <unistd.h>
#include <string.h>
#include <errno.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netdb.h>
#include <arpa/inet.h>
#include <inttypes.h>

#include <infiniband/verbs.h>

#include <rdma/rdma_cma.h>

#include "common.h"

/* Structures */
enum {
    RESOLVE_TIMEOUT_MS = 5000,
};

struct client_common {
	struct common common;
   	struct pdata *metadata_attr;
    struct ibv_mr *metadata_mr;
};

#endif /* RDMA_CLIENT_H */




