#ifndef RDMA_SERVER_H
#define RDMA_SERVER_H

#include <endian.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <stdbool.h>
#include <time.h>
#include <unistd.h>
#include <string.h>
#include <errno.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netdb.h>
#include <arpa/inet.h>
#include <inttypes.h>

#include <infiniband/verbs.h>

#include <rdma/rdma_cma.h>

#include "common.h"

/* Structures */
enum {
    RESOLVE_TIMEOUT_MS = 5000,
};

struct server_common {
    struct common common;
   	struct rdma_cm_id           	*listen_id;
   	struct ibv_mr           		*client_metadata_mr;
};

#endif /* RDMA_SERVER_H */




